#ifndef CONSOLEDRAWER_H
#define CONSOLEDRAWER_H
/************************************************************************
 *
 *	VierVerliert
 *	(c) 2004, 2005 Thomas Unterthiner
 *
 * ConsoleGridDrawer.h - draws the GameGrid onto the console
 *
 ************************************************************************/


#include <map>
#include "PlayerCode.h"
struct Player;
class GameGrid;


/*
 * The ConsoleDrawer draws the status of a GameGrid
 * to the console everytime its draw() method gets called
 */
class ConsoleGridDrawer
{
	public:
		ConsoleGridDrawer(const GameGrid& grid, const Player& p1, const Player& p2);
		virtual ~ConsoleGridDrawer() {}
		void draw();
	private:
		const GameGrid& grid_;
		std::map<PlayerCode, char> sign_;
};


#endif

