#ifndef PLAYER_H
#define PLAYER_H
/************************************************************************
 *
 *	VierVerliert
 *	(c) 2004, 2005 Thomas Unterthiner
 *
 * Player.h - all informations about the player will be saved in a Player
 *            struct
 *
 ************************************************************************/

#include <string>
using std::string;

#include <SDL/SDL_types.h>
#include "PlayerCode.h"
 
struct Player
{
	std::string name;
	PlayerCode code;
	
	// drawing information
	Uint8 r;
	Uint8 g;
	Uint8 b;
	char sign;
	
	Player(const string& n, PlayerCode c, Uint8 r_, Uint8 g_, Uint8 b_, char s)
		: name(n), code(c), r(r_), g(g_), b(b_), sign(s)
	{}
	
	Player() {}
};

#endif

