#ifndef DRAWER_H
#define DRAWER_H
/************************************************************************
 *
 *	VierVerliert
 *	(c) 2004, 2005 Thomas Unterthiner
 *
 * Drawer.h - simple interface of a drawer
 *
 ************************************************************************/



/*
 * The Drawer draws the status of a GameGrid
 * everytime its draw() method gets called
 */
class GridDrawer
{
	public:
		GridDrawer(const GameGrid& grid) : grid_(grid) {}
		virtual void draw() = 0;
		
	protected:
		const GameGrid& grid_;
};

#endif

