/************************************************************************
 *
 *	VierVerliert
 *	(c) 2004, 2005 Thomas Unterthiner
 *
 * main.cpp - startup code
 *
 ************************************************************************/

#include <stdexcept>
#include <iostream>
using std::cout;
#include "GameManager.h"

int main(int argc, char *argv[])
{
	try
	{
		GameManager game;
		game.start();
	}
	catch(std::runtime_error& error)
	{
		cout << "ERROR: " << error.what() << '\n';
	}
	
	return 0;
}

